## pop-gtk-theme 2.0.7

=== Makefile ===
all:
	./parse-sass.sh
	cp ./src/gnome-shell/3.24/gnome-shell.css ./src/gnome-shell/3.24/ubuntu.css
	cp ./src/gnome-shell/3.24/gnome-shell.css ./src/gnome-shell/3.22/ubuntu.css
	cp ./src/gnome-shell/3.24/gnome-shell.css ./src/gnome-shell/3.20/ubuntu.css
	cp ./src/gnome-shell/3.24/gnome-shell.css ./src/gnome-shell/3.18/ubuntu.css

install:
	./install.sh $(DESTDIR)

post-install:
	-gtk-update-icon-cache -q $(DESTDIR)/usr/share/icons/Pop

gtk2:
	cd ./src/gtk-2.0 && ./recolor-assets.sh

gnome-shell:
	cp -r $(DESTDIR)/usr/share/themes/Pop/gnome-shell/ /usr/share/gnome-shell/

assets:
	cd ./src/gtk-3.0/gtk-common/ && find . -type f -name *.png -exec rm -v '{}' +
	cd ./src/gtk-2.0/ && find . -type f -name *.png -exec rm -v '{}' +
	cd ./src/gtk-3.0/gtk-common/ && ./recolor-assets.sh
	cd ./src/gtk-2.0/ && ./recolor-assets.sh
	cd ./src/gtk-3.0/gtk-common/ && ./render-assets.sh
	cd ./src/gtk-2.0/ && ./render-assets.sh
	cd ./src/gtk-2.0/ && ./render-assets-dark.sh

uninstall:
	-rm -rf $(DESTDIR)/usr/share/themes/Pop
	-rm -rf $(DESTDIR)/usr/share/themes/Pop-dark
	-rm -rf $(DESTDIR)/usr/share/themes/Pop-light
	-rm -rf $(DESTDIR)/usr/share/themes/Pop-compact
	-rm -rf $(DESTDIR)/usr/share/themes/Pop-light-compact
	-rm -rf $(DESTDIR)/usr/share/themes/Pop-dark-compact

.PHONY: all install uninstall

=== debian/changelog ===
pop-gtk-theme (2.0.7-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Change to 3.0 (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 29 Sep 2017 15:17:25 -0700

pop-gtk-theme (2.0.6.4) zesty; urgency=medium
 
  * Use brown instead of blue for login dialog background

 -- Ian Santopietro <ian@system76.com>  Wed, 23 Aug 2017 11:24:47 -0600

pop-gtk-theme (2.0.6.3) zesty; urgency=medium

  * 'Theme' not 'themes'.

 -- Ian Santopietro <ian@system76.com>  Wed, 23 Aug 2017 11:13:05 -0600

pop-gtk-theme (2.0.6.2) zesty; urgency=medium

  * Install a GNOME Shell theme for GDM Themeing.

 -- Ian Santopietro <ian@system76.com>  Wed, 23 Aug 2017 10:41:50 -0600

pop-gtk-theme (2.0.6.1) zesty; urgency=medium

  * Fix blue suggested action buttons in headerbars.

 -- Ian Santopietro <ian@system76.com>  Tue, 22 Aug 2017 15:13:05 -0600

pop-gtk-theme (2.0.6.0) zesty; urgency=medium

  * Theme Ubiquity.
  * Ensure combo buttons match their entries.
  * Linked buttons have rounded corners on the outside.
  * Shell uses circular user icons.
  * Red Text for login warnings.
  * Screen shield notifications.

 -- Ian Santopietro <ian@system76.com>  Tue, 22 Aug 2017 09:41:27 -0600

pop-gtk-theme (2.0.5.1) zesty; urgency=medium

  * Add internal version field to check installed version.

 -- Ian Santopietro <ian@system76.com>  Tue, 15 Aug 2017 12:57:13 -0600

pop-gtk-theme (2.0.5.0) zesty; urgency=medium

  * Support for a variety of Granite widgets (storage bar, text classes, etc).
  * Dash background color adjusted to match the panel background.
  * Fixes for ugly buttons in Chrome/ium. #8
  * Fixes for Eye of Gnome next/previous button cutoff. #10
  * Fixes for pixelated dash placeholder. #9
  * Screenshield notifications now match the desktop counterparts.
  * Overhauled appearance for Looking Glass.
  * Contrast improvements for GNOME Shell.
  * Various copyright notices corrected.

 -- Ian Santopietro <ian@system76.com>  Tue, 15 Aug 2017 09:53:20 -0600

pop-gtk-theme (2.0.4.1) zesty; urgency=medium

  * Fix Symbolic link to 3.20 elementary SCSS.

 -- Ian Santopietro <ian@system76.com>  Thu, 10 Aug 2017 13:36:42 -0600

pop-gtk-theme (2.0.4.0) zesty; urgency=medium

  * Add support for a limited selection of Granite Widgets.
  * System Settings battery level is no longer black.
  * Buttons in the Geary setup are no longer clipped on the bottom.
  * Fixed Menubar colors in -dark and -light GTK2 variants.
  * GTK2 and GTK3 widget radius consistency.
  * Shell and GTK3 widget radius consistency.

 -- Ian Santopietro <ian@system76.com>  Thu, 10 Aug 2017 13:26:21 -0600

pop-gtk-theme (2.0.3.0) zesty; urgency=medium

  * Entry Release. Much work focused on varius entry widgets.
  * Make sure adjacent entries in Evince have no middle radius.
  * Evince Entries are uniformly sized.
  * Unfocused entries get lower Z-height
  * Tweak minimum entry size to avoid clipping final characters.

 -- Ian Santopietro <ian@system76.com>  Tue, 08 Aug 2017 15:07:33 -0600

pop-gtk-theme (2.0.2.0) zesty; urgency=medium

  * GtkInfoBar: Increased Contrast and visibility
  * Better color and style consistency between GTK2 and GTK3
  * Most Radii are now 4px instead of 2px
  * Removed dashed line to indicate more content is scrollable
  * Tweak for color consistency in GTK 3.18
  * Active System Menu Popups use a lighter-weight font
  * Active System Menu Popups also have a darker orange
  * Change Orange Search and Clear icons to white in the Overview

 -- Ian Santopietro <ian@system76.com>  Mon, 07 Aug 2017 15:51:43 -0600

pop-gtk-theme (2.0.1.0) zesty; urgency=medium

  * Improve workspace pager styling.
  * GTK+ Dialogs now match the Shell dialogs.
  * Rich Notifications styling.
  * Fira is now loaded first in Shell.
  * Shell corner radius is now 4 pixels instead of 2.
  * Improved the shadows for the workspace/applications switers.

 -- Ian Santopietro <ian@system76.com>  Fri, 04 Aug 2017 14:32:15 -0600

pop-gtk-theme (2.0.0.0) zesty; urgency=medium

  * New release based on Flat-Plat instead of Adapta.
  * Reduced Memory Usage.

 -- Ian Santopietro <ian@system76.com>  Thu, 03 Aug 2017 11:52:45 -0600

pop-gtk-theme (1.99.1.0) zesty; urgency=medium

  * Tweaks to GNOME Shell theme for better Pop look and feel.
  * GTK2 theme.
  * Consistency fixes for some GTK3 assets.

 -- Ian Santopietro <ian@system76.com>  Wed, 02 Aug 2017 16:43:16 -0600

pop-gtk-theme (1.99.0.0) zesty; urgency=medium

  * Recreate the entire theme with a new upstream based on Flat-Plat.

 -- Ian Santopietro <ian@system76.com>  Wed, 02 Aug 2017 11:57:01 -0600

pop-gtk-theme (1.3.1.13) zesty; urgency=medium

  * Merge in changes from upstream.

 -- Ian Santopietro <ian@system76.com>  Tue, 27 Jun 2017 09:32:10 -0600

pop-gtk-theme (1.3.1.12) zesty; urgency=medium

  * Use White instead of Foreground Color for Ubiquity.

 -- Ian Santopietro <ian@system76.com>  Fri, 23 Jun 2017 13:21:06 -0600

pop-gtk-theme (1.3.1.11) zesty; urgency=medium

  * Merge in lastest upstream.
  * Correct Ubiquity invisible text issue.

 -- Ian Santopietro <ian@system76.com>  Fri, 23 Jun 2017 11:53:06 -0600

pop-gtk-theme (1.3.1.10) zesty; urgency=medium

  * Lighten GNOME Shell Panel color.
  * Mirror GNOME Shell panel color change in GTK-based panels.
  * Fix blue-inderline bug in GNOME Weather.
  * Ensure Firefox styling is correct.

 -- Ian Santopietro <ian@system76.com>  Fri, 23 Jun 2017 10:13:03 -0600

pop-gtk-theme (1.3.1.9) zesty; urgency=medium

  * 3rd Party: Re-apply panel-grid for MATE taskbar.
  * Shell: Make days with events blue in calendar popover
  * Maintenance: Merge from upstream

 -- Ian Santopietro <ian@system76.com>  Wed, 21 Jun 2017 11:14:54 -0600

pop-gtk-theme (1.3.1.8) zesty; urgency=medium

  * Update conflicts

 -- Jeremy Soller <jeremy@system76.com>  Tue, 20 Jun 2017 09:31:37 -0600

pop-gtk-theme (1.3.1.7) zesty; urgency=medium

  * Rename to pop-gtk-theme



=== debian/control ===
Source: pop-gtk-theme
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jeremy Soller <jeremy@system76.com>
Uploaders: Ian Santopietro <ian@system76.com>
Build-Depends: debhelper (>= 9),
	       automake,
	       autoconf,
	       libtool,
	       pkg-config,
	       libsass0 (>= 3.3.6),
	       sassc (>= 3.3.2),
	       inkscape | inkscape-trunk,
	       libglib2.0-dev (>= 2.48.0),
	       libgdk-pixbuf2.0-dev (>= 2.32.2),
	       librsvg2-dev (>= 2.40.13),
	       libxml2-utils,
	       gnome-shell
Standards-Version: 3.9.8
Homepage: https://github.com/system76/pop-gtk-theme

Package: pop-gtk-theme
Architecture: all
Depends: gtk2-engines-pixbuf (>= 2.24.30),
	 gtk2-engines-murrine (>= 0.98.1),
	 libgtk2.0-common (>= 2.24.30),
	 libgtk-3-common (>= 3.18.9),
	 gnome-themes-standard (>= 3.18.9),
	 ${misc:Depends}
Conflicts: system76-pop-gtk-theme
Description: Pop GTK Theme
 An adaptive Gtk+ theme based on Material Design Guidelines
 It supports Gtk 3.18.x, 3.20.x and 3.22.x.

Package: pop-gnome-shell-theme
Architecture: all
Depends: gnome-shell-common
Replaces: gnome-shell-common
Description: The Pop GNOME Shell theme, installed for GDM.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# # Uncomment this to turn on verbose mode.
# #export DH_VERBOSE=1
export DEB_BUILD_OPTIONS = nocheck

%:
	dh $@ --parallel

## pop-gtk-theme 5.2.0~1586289568~20.04~f35b83b~ubuntu1

=== meson_options.txt ===
option('icons', type: 'boolean', value: false, description:'build icons component')
option('gnome-shell', type: 'boolean', value: true, description:'build gnome-shell component')
option('gnome-shell-gresource', type: 'boolean', value: false, description: 'build gnome-shell component in gresources')
option('gtk', type: 'boolean', value: true, description:'build gtk component')
option('sounds', type: 'boolean', value: true, description:'build sounds component')
option('sessions', type: 'boolean', value: false, description:'build sessions component')
option('communitheme_compat', type: 'boolean', value: false, description:'build communitheme-compact')

option('default', type: 'boolean', value: true, description:'build Pop gtk default variant')
option('dark', type: 'boolean', value: true, description:'build Pop gtk dark variant')
option('light', type: 'boolean', value: true, description:'build Pop gtk light variant')

=== debian/changelog ===
pop-gtk-theme (5.2.0~1586289568~20.04~f35b83b~ubuntu1) focal; urgency=medium

  * Update to the current popOS version, fix build with current gtk
  * Based on pop upstream version:
    - Keep some unecessary code to not diverge from it.
    - Use a lower version ~ubuntuX than the derivative pop one to avoid
      breaking them.
  * Do not change the gdm alternative automatically. Install the Shell theme
    shouldn't change the global gdm look for all users.
    Let them install with:
     update-alternatives --install /usr/share/gnome-shell/theme/gdm3.css \
     gdm3.css /usr/share/gnome-shell/theme/pop.css 20
    and remove with:
     update-alternatives --remove gdm3.css /usr/share/gnome-shell/theme/pop.css

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Apr 2020 22:03:08 +0200

pop-gtk-theme (5.2.0~1586289568~20.04~f35b83b) focal; urgency=medium

  * Auto Build

 -- Pop OS (ISO Signing Key) <info@system76.com>  Tue, 7 Apr 2020 13:59:28 -0600

=== debian/control ===
Source: pop-gtk-theme
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ian Santopietro <ian@system76.com>
Build-Depends: debhelper (>= 10.3),
Build-Depends-Indep: libglib2.0-dev,
                     meson (>= 0.45),
                     sassc,
Standards-Version: 4.1.5
Homepage: https://github.com/pop-os/gtk-theme
Vcs-Browser: https://github.com/pop-os/gtk-theme
Vcs-Git: https://github.com/pop-os/gtk-theme

Package: pop-gnome-shell-theme
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pop-gtk-theme
Description: Pop GNOME Shell Theme
 The Pop theme for GNOME Shell
 .
 This package contains the GNOME Shell theme part

Package: pop-gtk-theme
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-themes-extra,
         gtk2-engines-pixbuf,
         gtk2-engines-murrine,
Conflicts: pop-gnome-shell-theme (<= 4.1.0),
Description: Pop GTK Theme
 The Pop theme for GTK.
 .
 This package contains the GTK 2 and 3 theme parts

Package: pop-sound-theme
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Pop sound theme
 The Pop sound theme is based on the Ubuntu Yaru sound theme. 
 .
 This package contains the sound theme
 .
 If you want to follow development, more information here:
 https://community.ubuntu.com/c/desktop/theme-refresh.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgnome-shell-gresource=true

override_dh_install:
	# overrides and sessions files are shipped by ubuntu-session package.
	# those are the file generated by the upstream build system for developers
	# to have a dedicated session testing the theme.
	# rm -r debian/tmp/usr/share/glib-2.0
	# rm -r debian/tmp/usr/share/xsessions
	# rm -r debian/tmp/usr/share/wayland-sessions
	dh_install

override_dh_missing:
	dh_missing --fail-missing
